org.eclipse.actf.util.win32.comclutch

## Interface IEnumUnknown

All Superinterfaces:
  IResource, IUnknown

    public interface IEnumUnknown
    extends IUnknown

Wrapper for IEnumUnknown object see http://msdn.microsoft.com/en-us/library/ms683764(VS.85).aspx

### Field Summary

### Fields inherited from interface org.eclipse.actf.util.win32.comclutch.IUnknown

`IID_IAccessible, IID_IHTMLElement, IID_IOleContainer, IID_IServiceProvider, IID_IWebBrowser2`

### Method Summary

Methods
`IEnumUnknown` `_clone()`
`IUnknown[]` `next(int num)`
`boolean` `reset()`
`boolean` `skip(int num)`

### Methods inherited from interface org.eclipse.actf.util.win32.comclutch.IUnknown

`addRef, getTotalRefCount, newIUnknown, queryInterface, release`

### Methods inherited from interface org.eclipse.actf.util.win32.comclutch.IResource

`addResource, findInResource, getPtr, getResourceManager, isPermanent`

### Method Detail

#### next

    IUnknown[] next(int num)

#### skip

    boolean skip(int num)

#### reset

    boolean reset()

#### _clone

    IEnumUnknown _clone()